<html>
<head>

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">

    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

    <!-- Popper JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>

    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
        
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
    
      <script src='https://kit.fontawesome.com/a076d05399.js'></script> 
     
    
</head> 


<body id="b1" onload="check()">
    
  <h3 style=" font-family:Times New Roman;color:#36454f; margin-left:13cm;margin-top:-15px;"><strong>BMI CALCULATOR</i></strong></h3>  
<div  class ="container center" style="margin-top:-130px;"> 
      <div class="well col-sm-8 col-md-6 col-lg-5 col-xl-4">
       
      <br>
      <button type="button" class="btn btn-primary">US units</button>
        &nbsp;&nbsp;<button type="button" class="btn btn-primary">Metric units</button>
        &nbsp;&nbsp;<button type="button" class="btn btn-primary">other units</button><br>
    <br>
        <form id="bmiform" action="">
            <div>
              <div class="input-group">
                <div class="input-group-prepend">
                  <span class="input-group-text" style="width:85px;">Name</span>
                </div>
                <input type="text" class="form-control" placeholder="" id="name" name="name">
              </div>
              <div class="error-message-styling"><small id="name-error-message"></small></div>
            </div>
            

            <div class="input-group mt-2" >
              <div class="input-group">
                <div class="input-group-prepend" >
                  <span class="input-group-text" style="width:85px;">Age</span>
                </div>
                <input type="text" class="form-control" placeholder="" id="age" name="age">
              </div>
              <div class="error-message-styling"><small id="age-error-message"></small></div>
            </div>
            <br>
            

            <!-- <div class="input-group mt-2">
              <div class="input-group"> -->
                <!-- <div class="input-group-prepend" >
                    <span class="input-group-text" style="width:85px;">Gender</span>
                  </div> --><label style=" font-family:Times New Roman;"><strong>Gender:</strong>&nbsp;</label>

                  <div class="custom-control custom-radio custom-control-inline">
                    <input type="radio" id="male-radio-button" value="Male" name="gender" class="custom-control-input">
                    <label class="custom-control-label" for="male-radio-button">Male</label>
                  </div>
                  <div class="custom-control custom-radio custom-control-inline">
                    <input type="radio" id="female-radio-button" value="Female" name="gender" class="custom-control-input">
                    <label class="custom-control-label" for="female-radio-button">Female</label>
                  </div>


                <!-- <div class="custom-control custom-radio custom-control-inline input-group-text" style="background-color: white; margin-right: 0; border-radius: 0; padding-left: 2rem;"> -->
                  <!-- &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" class="custom-control-input" id="male-radio-button" value="Male" name="gender">
                  <label class="custom-control-label " for="male-radio-button">Male</label> -->
                <!-- </div>
                <div class="custom-control custom-radio custom-control-inline input-group-text" style="border-left:0;background-color: white; border-top-left-radius: 0;border-bottom-left-radius: 0; padding-left: 2rem;"> -->
                  <!-- &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" class="custom-control-input" id="female-radio-button" value="Female" name="gender">
                  <label class="custom-control-label" for="female-radio-button">Female</label> -->
                <!-- </div>
              </div> -->
              <div class="error-message-styling"><small id="gender-error-message"></small></div>
            <!-- </div> -->
              
              
        
            <div class="input-group mt-2">
            <div class="input-group">
              <div class="input-group-prepend">
                <span class="input-group-text" style="width:85px;">Weight</span>
            </div>
            <input type="text" class="form-control" style="" placeholder="" id="weight" name="weight">
            <div class="input-group-prepend">
              <span class="input-group-text" style="width: 45px; border-left:0;border-top-right-radius: 5px;border-bottom-right-radius: 5px;">kg</span>
          </div>
            </div>
            <div class="error-message-styling"><small id="weight-error-message"></small></div>
            </div>

            <div class="input-group mt-2 mb-2">
            <div class="input-group">
              <div class="input-group-prepend">
                <span class="input-group-text" style="width:85px;">Height</span>
            </div>
            <input type="text" class="form-control" placeholder="" id="height" name="height">
            <div class="input-group-prepend">
              <span class="input-group-text" style="width: 45px; border-left:0;border-top-right-radius: 5px;border-bottom-right-radius: 5px;">cm</span>
          </div>
          </div>
            <div class="error-message-styling"><small id="height-error-message"></small></div>
          </div>
          <br>

          <div id="fav-foods" class="mt-2 mb-2" >
            <div >
              <!-- <div class="input-group-prepend" >
                <span class="input-group-text" style="">Favorite food</span>
              </div> -->
              <label style=" font-family:Times New Roman;"><strong>Favourite Foods:</strong></label>&nbsp; 
              <div class="custom-control custom-checkbox custom-control-inline">
                <input type="checkbox" class="custom-control-input" id="pizza" name="example" value="1">
                <label class="custom-control-label" for="pizza">Indian</label>
              </div>
              <div class="custom-control custom-checkbox custom-control-inline">
                <input type="checkbox" class="custom-control-input" id="biryani" name="example" value="2">
                <label class="custom-control-label" for="biryani">Chinese</label>
              </div>
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <div class="custom-control custom-checkbox custom-control-inline">
                <input type="checkbox" class="custom-control-input" id="fast-food" name="example" value="3">
                <label class="custom-control-label" for="fast-food">Italian</label>
              </div>
              <div id="fav-foods-error-message"></div>
              <!-- <input type="checkbox" class="custom-control-input"id="pizza" name="" value="1">
              <label for="food1"> Indian</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; -->
              <!-- <input type="checkbox" id="biryani" name="" value="2">
              <label for="food2">Chinese</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br>
              <input type="checkbox" id="fast-food" name="" value="3">
              <label for="food3">Italian</label> -->
            </div>
            <div class="error-message-styling"><small id="food-error-message"></small></div>
          </div>

            <button style="margin-right: 5%; ;" type="button" id="calculate" onclick="calculateBMI()" class="btn btn-success">Calculate</button>
            <button type="button" id="c" class="btn" onclick="clearall()">Clear</button>
            <br>
      
            <!-- <h1 style="margin-top: 5px;"><span style="color: green; font-weight: 800;" id="bmi-result"></span></h1>  -->
            <label style="margin-top:2px;"><strong>Total BMI:</strong></label>
            <label id="bmi-result">0</label> 
          </form> 
            <form action="previous_records.html">
                <input type="submit" id="previous-records"  class="btn btn-primary" style="margin-top:-10px;" value="list"></button>
            </form>
        </div>

        <!-- <div>
          <select name="" id="favfoods">
              
          </select>
          </div> -->
    </div>

    <!-- <template id="fav-foods">
      <div><select name="" id="">
        <option value="">Juices</option>
        <option value="">Veg</option>
        <option value="">Non-Veg</option>
        <option value="">FastFood</option>
      </select>
      </div>
    </template> -->

    <style>
      #c:hover{
        background-color:whitesmoke; 
      }

      #c{
        background-color: white; 
        border: 1px solid lightgrey; 
        color: dodgerblue;
      }

      .error-message-styling{
        margin-left:10px;text-align: left;
        color:red;
      }
      
      
       #fav-foods-error-message{
        margin-left:10px;text-align: left;
        color:red;
        /* font-size: 0.5px; */
      }
      .center{
        text-align: center;
      }

      .well{
        border-radius: 5%;
        display: inline-block; 
        margin: 0 auto;   
        text-align: center;
        background-color:rgb(239, 255, 255);
        width: 70%;
        margin-top: 12%;
        /* height: 50%; */
        box-shadow:0px 0px 5px 5px rgba(201, 195, 195, 0.75);
      }

      body{
        /* background-image: url("https://www.indushealthplus.com/media/article_img/how-genetics-and-bmi-is-connected.jpg") no-repeat; */
        background:url("https://www.backgroundsy.com/file/blurry-particles-background.jpg") no-repeat ;
        background-size: 100% 100%;
        background-position: 50%;
        background-color: #eaeded;
        /* -webkit-background-size: cover; */
        /* -moz-background-size: cover; */
        /* -o-background-size: cover; */
        /* background-size: cover; */
        /* background-size: 90% 90%;
        background-position: ; */
      }

        /* .container{
            background-color: lightgrey;
            width: 400px;
            margin:top;
        } */
        h1{
            text-align: center;
        }
    </style>
    <script src="sc1.js"></script>

    </body>
</html>
